<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/mainFragment">
    <fragment
        android:id="@+id/mainFragment"
        android:name="com.unis.sxzcl.ui.home.MainFragment"
        android:label="首页">
        <action
            android:id="@+id/action_mainFragment_to_companyStatsFragment"
            app:destination="@id/companyStatsFragment" />
        <action
            android:id="@+id/action_mainFragment_to_noticeListFragment"
            app:destination="@id/noticeListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_todoHomeFragment"
            app:destination="@id/todoHomeFragment" />
        <action
            android:id="@+id/action_mainFragment_to_userFragment"
            app:destination="@id/userFragment" />
        <action
            android:id="@+id/action_mainFragment_to_companyListFragment"
            app:destination="@id/companyListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_announceListFragment"
            app:destination="@id/announceListFragment" />
        <action
            android:id="@+id/action_mainFragment_to_workModuleFragment"/>
        <action
            android:id="@+id/action_mainFragment_to_workModuleFragment2"
            app:destination="@id/workModuleFragment" />
    </fragment>

    <fragment
        android:id="@+id/userFragment"
        android:name="com.unis.sxzcl.ui.user.UserFragment"
        android:label="个人信息">
        <action
            android:id="@+id/action_userFragment_to_textSizeFragment"
            app:destination="@id/textSizeFragment" />
        <action
            android:id="@+id/action_userFragment_to_versionFragment"
            app:destination="@id/versionFragment" />
        <action
            android:id="@+id/action_userFragment_to_verifyPwdFragment"
            app:destination="@id/verifyPwdFragment" />
    </fragment>
    <fragment
        android:id="@+id/textSizeFragment"
        android:name="com.unis.sxzcl.ui.user.TextSizeFragment"
        android:label="字体大小设置" />
    <fragment
        android:id="@+id/companyListFragment"
        android:name="com.unis.sxzcl.ui.company.CompanyListFragment"
        android:label="企业列表"/>
    <fragment
        android:id="@+id/announceListFragment"
        android:name="com.unis.sxzcl.ui.announce.AnnounceListFragment"
        android:label="公告列表">
        <action
            android:id="@+id/action_announceListFragment_to_announceDetailFragment"
            app:destination="@id/announceDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/announceDetailFragment"
        android:name="com.unis.sxzcl.ui.announce.AnnounceDetailFragment"
        android:label="公告详情" />
    <fragment
        android:id="@+id/noticeListFragment"
        android:name="com.unis.sxzcl.ui.notice.NoticeListFragment"
        android:label="通知列表" />
    <fragment
        android:id="@+id/todoHomeFragment"
        android:name="com.unis.sxzcl.ui.todo.TodoHomeFragment"
        android:label="待办事项" >
        <action
            android:id="@+id/action_todoHomeFragment_to_todoApproveFragment"
            app:destination="@id/todoApproveFragment" />
    </fragment>
    <fragment
        android:id="@+id/houseListFragment"
        android:name="com.unis.sxzcl.ui.house.HouseListFragment"
        android:label="仓房列表">
        <action
            android:id="@+id/action_houseListFragment_to_houseDetailFragment"
            app:destination="@id/houseDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/personListFragment"
        android:name="com.unis.sxzcl.ui.person.PersonListFragment"
        android:label="人员列表">
        <action
            android:id="@+id/action_personListFragment_to_personHomeFragment"
            app:destination="@id/personHomeFragment" />
    </fragment>
    <fragment
        android:id="@+id/personHomeFragment"
        android:name="com.unis.sxzcl.ui.person.PersonHomeFragment"
        android:label="人员主页"/>
    <fragment
        android:id="@+id/houseDetailFragment"
        android:name="com.unis.sxzcl.ui.house.HouseDetailFragment"
        android:label="仓房详情"/>
    <fragment
        android:id="@+id/personDetailFragment"
        android:name="com.unis.sxzcl.ui.person.PersonDetailFragment"
        android:label="人员详情" />
    <fragment
        android:id="@+id/companyStatsFragment"
        android:name="com.unis.sxzcl.ui.company.CompanyStatsFragment"
        android:label="企业信息统计" />
    <fragment
        android:id="@+id/versionRecordFragment"
        android:name="com.unis.sxzcl.ui.user.VersionRecordFragment"
        android:label="版本记录" />
    <fragment
        android:id="@+id/versionFragment"
        android:name="com.unis.sxzcl.ui.user.VersionFragment"
        android:label="版本信息" >
        <action
            android:id="@+id/action_versionFragment_to_versionRecordFragment"
            app:destination="@id/versionRecordFragment" />
    </fragment>
    <fragment
        android:id="@+id/todoApproveFragment"
        android:name="com.unis.sxzcl.ui.todo.TodoApproveFragment"
        android:label="待办审批" />

        <fragment
            android:id="@+id/drugBuyFragment"
            android:name="com.unis.sxzcl.ui.drug_buy.DrugBuyFragment"
            android:label="药剂采购">
            <action
                android:id="@+id/action_pesticideBuyFragment_to_allRoundFragment"
                app:destination="@id/allRoundFragment" />
        </fragment>
    <fragment
            android:id="@+id/houseHomeFragment"
            android:name="com.unis.sxzcl.ui.house.HouseHomeFragment"
            android:label="仓房信息" />
        <fragment
            android:id="@+id/templateTabFragment"
            android:name="com.unis.sxzcl.ui.template.TemplateTabFragment"
            android:label="模版标签页" />
        <fragment
            android:id="@+id/drugApplyFragment"
            android:name="com.unis.sxzcl.ui.drug_apply.DrugApplyFragment"
            android:label="药剂领用">
            <action
                android:id="@+id/action_pesticideApplyFragment_to_allRoundFragment"
                app:destination="@id/allRoundFragment" />
        </fragment>
        <fragment
            android:id="@+id/grainCheckHomeFragment"
            android:name="com.unis.sxzcl.ui.grain_check.GrainCheckHomeFragment"
            android:label="粮情检查">
            <action
                android:id="@+id/action_grainCheckHomeFragment_to_grainCheckDetailFragment"
                app:destination="@id/grainCheckDetailFragment" />
        </fragment>
        <fragment
            android:id="@+id/exampleFragment"
            android:name="com.unis.sxzcl.ui.example.ExampleFragment"
            android:label="示例页" />
        <fragment
            android:id="@+id/drugCustodyDetailFragment"
            android:name="com.unis.sxzcl.ui.drug_custody.DrugCustodyDetailFragment"
            android:label="药品保管详情" />
        <fragment
            android:id="@+id/quantityQualityHomeFragment"
            android:name="com.unis.sxzcl.ui.quantity_quality.QuantityQualityHomeFragment"
            android:label="库存质量" >
            <action
                android:id="@+id/action_quantityQualityHomeFragment_to_quantityQualityDetailFragment"
                app:destination="@id/quantityQualityDetailFragment" />
        </fragment>
        <fragment
            android:id="@+id/aerationListFragment"
            android:name="com.unis.sxzcl.ui.aeration.AerationListFragment"
            android:label="机械通风列表">
            <action
                android:id="@+id/action_aerationListFragment_to_allRoundFragment"
                app:destination="@id/allRoundFragment" />
        </fragment>
        <fragment
            android:id="@+id/grainCheckDetailFragment"
            android:name="com.unis.sxzcl.ui.grain_check.GrainCheckDetailFragment"
            android:label="粮情检查详情" />
        <fragment
            android:id="@+id/drugCustodyFragment"
            android:name="com.unis.sxzcl.ui.drug_custody.DrugCustodyFragment"
            android:label="药剂保管">
            <action
                android:id="@+id/action_pesticideCustodyFragment_to_pesticideCustodyDetailFragment"
                app:destination="@id/drugCustodyDetailFragment" />
        </fragment>
        <fragment
            android:id="@+id/allRoundFragment"
            android:name="com.unis.sxzcl.ui.allround.AllRoundFragment"
            android:label="全面流程" />
        <fragment
            android:id="@+id/workModuleFragment"
            android:name="com.unis.sxzcl.ui.work_module.WorkModuleFragment"
            android:label="工作台">
            <action
                android:id="@+id/action_workModuleFragment_to_exampleFragment"
                app:destination="@id/exampleFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_templateTabFragment"
                app:destination="@id/templateTabFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_houseHomeFragment"
                app:destination="@id/houseHomeFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_grainCheckFragment"
                app:destination="@id/grainCheckHomeFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_aerationListFragment"
                app:destination="@id/aerationListFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_pesticideBuyFragment"
                app:destination="@id/drugBuyFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_pesticideCustodyFragment"
                app:destination="@id/drugCustodyFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_pesticideApplyFragment"
                app:destination="@id/drugApplyFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_inventoryQualityHomeFragment"
                app:destination="@id/quantityQualityHomeFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_policyListFragment"
                app:destination="@id/policyListFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_personFrameFragment"
                app:destination="@id/personFrameFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_fumigationListFragment"
                app:destination="@id/fumigationListFragment" />
            <action
                android:id="@+id/action_workModuleFragment_to_facilityCheckHomeFragment"
                app:destination="@id/facilityHomeFragment" />
        </fragment>
    <fragment
        android:id="@+id/quantityQualityDetailFragment"
        android:name="com.unis.sxzcl.ui.quantity_quality.QuantityQualityDetailFragment"
        android:label="库存质量详情" />
    <fragment
        android:id="@+id/policyDetailFragment"
        android:name="com.unis.sxzcl.ui.policy.PolicyDetailFragment"
        android:label="PolicyDetailFragment" />
    <fragment
        android:id="@+id/policyListFragment"
        android:name="com.unis.sxzcl.ui.policy.PolicyListFragment"
        android:label="政策制度" >
        <action
            android:id="@+id/action_policyListFragment_to_policyDetailFragment"
            app:destination="@id/policyDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/personFrameFragment"
        android:name="com.unis.sxzcl.ui.person.PersonFrameFragment"
        android:label="人员结构" >
        <action
            android:id="@+id/action_personFrameFragment_to_personDetailFragment"
            app:destination="@id/personDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/changePwdFragment"
        android:name="com.unis.sxzcl.ui.user.ChangePwdFragment"
        android:label="修改密码" />
    <fragment
        android:id="@+id/verifyPwdFragment"
        android:name="com.unis.sxzcl.ui.user.VerifyPwdFragment"
        android:label="VerifyPwdFragment" >
        <action
            android:id="@+id/action_verifyPwdFragment_to_changePwdFragment"
            app:destination="@id/changePwdFragment" />
    </fragment>
    <fragment
        android:id="@+id/fumigationListFragment"
        android:name="com.unis.sxzcl.ui.fumigation.FumigationListFragment"
        android:label="熏蒸管理" >
        <action
            android:id="@+id/action_fumigationListFragment_to_fumigationDetailFragment"
            app:destination="@id/fumigationDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/fumigationDetailFragment"
        android:name="com.unis.sxzcl.ui.fumigation.FumigationDetailFragment"
        android:label="熏蒸管理详情" />
    <fragment
        android:id="@+id/facilityHomeFragment"
        android:name="com.unis.sxzcl.ui.facility.FacilityHomeFragment"
        android:label="设施管理">
        <action
            android:id="@+id/action_facilityHomeFragment_to_facilityCheckListFragment"
            app:destination="@id/facilityCheckLastFragment" />
    </fragment>
    <fragment
        android:id="@+id/facilityCheckLastFragment"
        android:name="com.unis.sxzcl.ui.facility.facility_check.FacilityCheckLastFragment"
        android:label="最新设施检查记录" />


</navigation>